# ApplicationFramework
TKLCAF
TDF

# TDF_DataMapIteratorOfLabelDataMap Class Reference

`#include <TDF_DataMapIteratorOfLabelDataMap.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | TDF_DataMapIteratorOfLabelDataMap ()
Standard_EXPORT | TDF_DataMapIteratorOfLabelDataMap (const TDF_LabelDataMap &aMap)
Standard_EXPORT void | Initialize (const TDF_LabelDataMap &aMap)
Standard_EXPORT const TDF_Label & | Key () const
Standard_EXPORT const TDF_Label & | Value () const

## Constructor & Destructor Documentation

Standard_EXPORT TDF_DataMapIteratorOfLabelDataMap::TDF_DataMapIteratorOfLabelDataMap | ( |  | ) |

Standard_EXPORT TDF_DataMapIteratorOfLabelDataMap::TDF_DataMapIteratorOfLabelDataMap | ( | const TDF_LabelDataMap & | aMap | ) |

## Member Function Documentation

Standard_EXPORT void TDF_DataMapIteratorOfLabelDataMap::Initialize | ( | const TDF_LabelDataMap & | aMap | ) |

Standard_EXPORT const TDF_Label& TDF_DataMapIteratorOfLabelDataMap::Key | ( |  | ) | const

void TDF_DataMapIteratorOfLabelDataMap::operator delete | ( | void * | anAddress | ) | `[inline]`

void* TDF_DataMapIteratorOfLabelDataMap::operator new | ( | size_t | size | ) | `[inline]`

void* TDF_DataMapIteratorOfLabelDataMap::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT const TDF_Label& TDF_DataMapIteratorOfLabelDataMap::Value | ( |  | ) | const

The documentation for this class was generated from the following file:

- TDF_DataMapIteratorOfLabelDataMap.hxx